Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.any23.extractor
Enum ErrorReporter.ErrorLevel

    java.lang.Object
      java.lang.Enum<ErrorReporter.ErrorLevel>
          org.apache.any23.extractor.ErrorReporter.ErrorLevel

All Implemented Interfaces:
  Serializable, Comparable<ErrorReporter.ErrorLevel>

Enclosing interface:
  ErrorReporter

    public static enum ErrorReporter.ErrorLevel

extends Enum<ErrorReporter.ErrorLevel>

Possible error levels.

Enum Constant Summary
`ERROR`
`FATAL`
`WARN`

Method Summary
`static ErrorReporter.ErrorLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ErrorReporter.ErrorLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WARN

    public static final ErrorReporter.ErrorLevel WARN

### ERROR

    public static final ErrorReporter.ErrorLevel ERROR

### FATAL

    public static final ErrorReporter.ErrorLevel FATAL

Method Detail

### values

    public static ErrorReporter.ErrorLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorReporter.ErrorLevel c : ErrorReporter.ErrorLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorReporter.ErrorLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.